Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1375368

Summary: Polkit is the only user of mozjs17, and should be moved to a more recent version
Product: [Fedora] Fedora Reporter: Jeremy Linton <jeremy.linton>
Component: polkitAssignee: Miloslav Trma─Ź <mitr>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 26CC: debarshir, mitr, piotrdrag
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: polkit-0.114-1.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-09 13:26:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
fedora package patch, adds new patch, updates spec none

Description Jeremy Linton 2016-09-12 21:22:54 UTC
Description of problem:
Polkit is one of the last users of mozjs17, it should be updated to a more recent version to avoid having dozens of mozjs versions in fedora.

Comment 1 Jeremy Linton 2016-09-12 21:24:46 UTC
See also:

https://bugs.freedesktop.org/show_bug.cgi?id=74592

https://lists.freedesktop.org/archives/polkit-devel/2016-August/000503.html

I've been waiting for some upstream movement, but I can respin another koji build, and attach the patches + spec updates here.

Comment 3 Jeremy Linton 2016-09-15 17:15:37 UTC
Created attachment 1201326 [details]
fedora package patch, adds new patch, updates spec

Comment 4 Fedora End Of Life 2017-02-28 10:15:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Fedora Update System 2018-04-05 00:11:26 UTC
polkit-0.114-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbc8b4e877

Comment 6 Fedora Update System 2018-04-06 02:31:59 UTC
polkit-0.114-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbc8b4e877

Comment 7 Fedora Update System 2018-04-09 13:26:00 UTC
polkit-0.114-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.